RecordInput (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record
Interface RecordInput

All Known Implementing Classes:
  BinaryRecordInput, CsvRecordInput, TypedBytesRecordInput, XmlRecordInput

    public interface RecordInput

Interface that all the Deserializers have to implement.

Method Summary
`void` | `endMap(String tag)` Check the mark for end of the serialized map.
`void` | `endRecord(String tag)` Check the mark for end of the serialized record.
`void` | `endVector(String tag)` Check the mark for end of the serialized vector.
`boolean` | `readBool(String tag)` Read a boolean from serialized record.
`Buffer` | `readBuffer(String tag)` Read byte array from serialized record.
`byte` | `readByte(String tag)` Read a byte from serialized record.
`double` | `readDouble(String tag)` Read a double-precision number from serialized record.
`float` | `readFloat(String tag)` Read a single-precision float from serialized record.
`int` | `readInt(String tag)` Read an integer from serialized record.
`long` | `readLong(String tag)` Read a long integer from serialized record.
`String` | `readString(String tag)` Read a UTF-8 encoded string from serialized record.
`Index` | `startMap(String tag)` Check the mark for start of the serialized map.
`void` | `startRecord(String tag)` Check the mark for start of the serialized record.
`Index` | `startVector(String tag)` Check the mark for start of the serialized vector.

Method Detail

### readByte

    byte readByte(String tag)
                  throws IOException

  Read a byte from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readBool

    boolean readBool(String tag)
                     throws IOException

  Read a boolean from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readInt

    int readInt(String tag)
                throws IOException

  Read an integer from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readLong

    long readLong(String tag)
                  throws IOException

  Read a long integer from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readFloat

    float readFloat(String tag)
                    throws IOException

  Read a single-precision float from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readDouble

    double readDouble(String tag)
                      throws IOException

  Read a double-precision number from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readString

    String readString(String tag)
                      throws IOException

  Read a UTF-8 encoded string from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### readBuffer

    Buffer readBuffer(String tag)
                      throws IOException

  Read byte array from serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    value read from serialized record.
  Throws:
    `IOException`

### startRecord

    void startRecord(String tag)
                     throws IOException

  Check the mark for start of the serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException`

### endRecord

    void endRecord(String tag)
                   throws IOException

  Check the mark for end of the serialized record.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException`

### startVector

    Index startVector(String tag)
                      throws IOException

  Check the mark for start of the serialized vector.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    Index that is used to count the number of elements.
  Throws:
    `IOException`

### endVector

    void endVector(String tag)
                   throws IOException

  Check the mark for end of the serialized vector.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException`

### startMap

    Index startMap(String tag)
                   throws IOException

  Check the mark for start of the serialized map.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Returns:
    Index that is used to count the number of map entries.
  Throws:
    `IOException`

### endMap

    void endMap(String tag)
                throws IOException

  Check the mark for end of the serialized map.

  Parameters:
    `tag` - Used by tagged serialization formats (such as XML)
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation